Bug 1253516 - [abrt] meld: subprocess.py:1335:_execute_child:OSError: [Errno 2] No such file or directory: '/home/polesz/Google Drive/RPG/wMUD/Professions/Alchemy.txt'
[abrt] meld: subprocess.py:1335:_execute_child:OSError: [Errno 2] No such fil...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: meld (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:73b278d9d769b9c2b53887f108e...
:
: 1189387 1251731 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 18:56 EDT by Gergely Polonkai
Modified: 2016-07-19 13:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:30:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.68 KB, text/plain)
2015-08-13 18:56 EDT, Gergely Polonkai
no flags Details
File: environ (1.92 KB, text/plain)
2015-08-13 18:56 EDT, Gergely Polonkai
no flags Details

  None (edit)
Description Gergely Polonkai 2015-08-13 18:56:18 EDT
Version-Release number of selected component:
meld-3.13.1-1.fc22

Additional info:
reporter:       libreport-2.5.1
cmdline:        /usr/bin/python /usr/bin/meld Professions/Alchemy.txt
dso_list:       python-libs-2.7.9-6.fc22.x86_64
executable:     /usr/bin/meld
kernel:         4.0.4-303.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
subprocess.py:1335:_execute_child:OSError: [Errno 2] No such file or directory: '/home/polesz/Google Drive/RPG/wMUD/Professions/Alchemy.txt'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/meld/meldapp.py", line 73, in do_command_line
    tab = self.parse_args(command_line)
  File "/usr/lib/python2.7/site-packages/meld/meldapp.py", line 330, in parse_args
    focus=i == 0)
  File "/usr/lib/python2.7/site-packages/meld/meldapp.py", line 148, in open_files
    return window.open_paths(paths, **kwargs)
  File "/usr/lib/python2.7/site-packages/meld/meldwindow.py", line 727, in open_paths
    tab = self.append_vcview(a, auto_compare)
  File "/usr/lib/python2.7/site-packages/meld/meldwindow.py", line 686, in append_vcview
    doc.set_location(location)
  File "/usr/lib/python2.7/site-packages/meld/vcview.py", line 377, in set_location
    self.choose_vc(location)
  File "/usr/lib/python2.7/site-packages/meld/vcview.py", line 325, in choose_vc
    elif not avc.valid_repo(location):
  File "/usr/lib/python2.7/site-packages/meld/vc/git.py", line 270, in valid_repo
    return not _vc.call([cls.CMD, "branch"], cwd=path)
  File "/usr/lib/python2.7/site-packages/meld/vc/_vc.py", line 351, in call
    return subprocess.call(cmd, cwd=cwd, stdout=NULL, stderr=NULL)
  File "/usr/lib64/python2.7/subprocess.py", line 522, in call
    return Popen(*popenargs, **kwargs).wait()
  File "/usr/lib64/python2.7/subprocess.py", line 710, in __init__
    errread, errwrite)
  File "/usr/lib64/python2.7/subprocess.py", line 1335, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory: '/home/polesz/Google Drive/RPG/wMUD/Professions/Alchemy.txt'

Local variables in innermost frame:
errread: None
c2pread: None
gc_was_enabled: True
errwrite: 17
shell: False
errpipe_write: 18
to_close: set([])
close_fds: False
self: <subprocess.Popen object at 0x7fcf62019890>
env: None
cwd: '/home/polesz/Google Drive/RPG/wMUD/Professions/Alchemy.txt'
child_exception: OSError(2, 'No such file or directory')
args: ['git', 'branch']
executable: 'git'
c2pwrite: 17
data: 'cexceptions\nOSError\np0\n(I2\nS\'No such file or directory\'\np1\nS\'/home/polesz/Google Drive/RPG/wMUD/Professions/Alchemy.txt\'\np2\ntp3\nRp4\n(dp5\nS\'child_traceback\'\np6\nS\'Traceback (most recent call last):\\n  File "/usr/lib64/python2.7/subprocess.py", line 1279, in _execute_child\\n    os.chdir(cwd)\\nOSError: [Errno 2] No such file or directory: \\\'/home/polesz/Google Drive/RPG/wMUD/Professions/Alchemy.txt\\\'\\n\'\np7\nsb.'
creationflags: 0
errpipe_read: 16
preexec_fn: None
p2cread: None
startupinfo: None
p2cwrite: None
_close_in_parent: <function _close_in_parent at 0x7fcf62006b18>
universal_newlines: False
Comment 1 Gergely Polonkai 2015-08-13 18:56:22 EDT
Created attachment 1062836 [details]
File: backtrace
Comment 2 Gergely Polonkai 2015-08-13 18:56:23 EDT
Created attachment 1062837 [details]
File: environ
Comment 3 Dominic Hopf 2015-09-08 17:29:56 EDT
*** Bug 1189387 has been marked as a duplicate of this bug. ***
Comment 4 Dominic Hopf 2015-09-08 17:30:06 EDT
*** Bug 1251731 has been marked as a duplicate of this bug. ***
Comment 5 Fedora End Of Life 2016-07-19 13:30:23 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.